
%define realname   Test-Output
%define version    0.13
%define release    %mkrel 1

Name:       perl-%{realname}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Utilities to test STDOUT and STDERR messages
Source:     http://www.cpan.org/modules/by-module/Test/%{realname}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{realname}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-devel
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Tester)

BuildArch: noarch

%description
Test::Output provides a simple interface for testing output sent to STDOUT
or STDERR. A number of different utilies are included to try and be as
flexible as possible to the tester.

Originally this module was designed not to have external requirements, 
however, the features provided by L<Sub::Exporter> over what L<Exporter>
provides is just to great to pass up.

Test::Output ties STDOUT and STDERR using Test::Output::Tie.



%prep
%setup -q -n %{realname}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*





%changelog
* Tue Mar 10 2009 Jérôme Quelin <jquelin@mandriva.org> 0.13-1mdv2009.1
+ Revision: 353458
- update to new version 0.13

* Sun Oct 26 2008 Jérôme Quelin <jquelin@mandriva.org> 0.12-1mdv2009.1
+ Revision: 297381
- update to new version 0.12

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-4mdv2009.0
+ Revision: 258575
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-3mdv2009.0
+ Revision: 246545
- rebuild
- fix summary-ended-with-dot

* Mon Jan 07 2008 Jérôme Quelin <jquelin@mandriva.org> 0.10-1mdv2008.1
+ Revision: 146316
- import perl-Test-Output


